CREATE TABLE cmp_batch_errors (
    BATCH_ERROR_ID               NUMBER(18, 0) ,
    BATCH_REQUEST_ID             NUMBER(18, 0) ,
    BATCH_NAME                   VARCHAR2(320) ,
    PERSON_ID                    NUMBER(18, 0) ,
    ASSIGNMENT_ID                NUMBER(18, 0) ,
    ASSIGNMENT_TYPE              VARCHAR2(120) ,
    ERROR_SOURCE_TABLE           VARCHAR2(600) ,
    ERROR_ORIGINATING_PROCESS    VARCHAR2(320)     NOT NULL,
    ERROR_TYPE                   VARCHAR2(120) ,
    ERROR_MESSAGE_ID             NUMBER(18, 0) ,
    ERROR_MESSAGE_TEXT           VARCHAR2(2000),
    ERROR_STACK                  CLOB          ,
    SALARY_ASG_INFO_ID           NUMBER(18, 0) ,
    SALARY_BATCH_INFO_ID         NUMBER(18, 0) ,
    PAYROLL_ASSIGNMENT_ID        NUMBER(18, 0) ,
    PAYROLL_TERM_ID              NUMBER(18, 0) ,
    PAYROLL_RELATIONSHIP_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    BATCH_ERROR_ID               NUMBER(18, 0) ,
    BATCH_REQUEST_ID             NUMBER(18, 0) ,
    BATCH_NAME                   VARCHAR2(320) ,
    PERSON_ID                    NUMBER(18, 0) ,
    ASSIGNMENT_ID                NUMBER(18, 0) ,
    ASSIGNMENT_TYPE              VARCHAR2(120) ,
    ERROR_SOURCE_TABLE           VARCHAR2(600) ,
    ERROR_ORIGINATING_PROCESS    VARCHAR2(320)     NOT NULL,
    ERROR_TYPE                   VARCHAR2(120) ,
    ERROR_MESSAGE_ID             NUMBER(18, 0) ,
    ERROR_MESSAGE_TEXT           VARCHAR2(2000),
    ERROR_STACK                  CLOB          ,
    SALARY_ASG_INFO_ID           NUMBER(18, 0) ,
    SALARY_BATCH_INFO_ID         NUMBER(18, 0) ,
    PAYROLL_ASSIGNMENT_ID        NUMBER(18, 0) ,
    PAYROLL_TERM_ID              NUMBER(18, 0) ,
    PAYROLL_RELATIONSHIP_ID      NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_cmp_batch_errors PRIMARY KEY (BATCH_ERROR_ID, BATCH_ERROR_ID)
);
